import { OnModuleInit } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
export declare class MailService implements OnModuleInit {
    private readonly config;
    private readonly logger;
    private transporter;
    private enabled;
    constructor(config: ConfigService);
    onModuleInit(): void;
    sendMail(options: {
        to: string;
        subject: string;
        html: string;
        text: string;
    }): Promise<boolean>;
    sendGroupInvite(params: {
        to: string;
        groupName: string;
        invitedByName: string;
        inviteUrl: string;
        expiresAt: Date;
    }): Promise<boolean>;
    sendPasswordReset(params: {
        to: string;
        name: string;
        resetUrl: string;
    }): Promise<boolean>;
    sendEmailVerification(params: {
        to: string;
        name: string;
        verifyUrl: string;
    }): Promise<boolean>;
}
